#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    float a = 1.0f;
    float b = -1.111f;
    float c = 0.30858025f;
    float x = 0.5555f;

    printf("%.6f\n", a*x*x + b*x + c);

    float d = b*b - 4.0f*a*c;
    float x1 = (-b - sqrt(d)) / (2.0f * a);
    float x2 = (-b + sqrt(d)) / (2.0f * a);

    printf("%.6f %.6f\n", x1, x2);
    printf("%.9f\n", d);

	return 0;
}
